JavaScript
import Mobilerun from '@mobilerun/sdk';
const client = new Mobilerun({
apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
});
const response = await client.workflows.executions.abort('182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e');
console.log(response.data);import os
from mobilerun_sdk import Mobilerun
client = Mobilerun(
api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"), # This is the default and can be omitted
)
response = client.workflows.executions.abort(
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)
print(response.data)curl --request POST \
--url https://api.mobilerun.ai/v1/executions/{executionId}/abort \
--header 'Authorization: Bearer <token>'
{
"data": {
"deviceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"error": "<string>",
"eventId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"finishedAt": "<string>",
"flowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"flowName": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"invocationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "live",
"recordingDeviceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"recordingId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"startedAt": "<string>",
"status": "pending",
"triggerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"triggerName": "<string>",
"result": "<unknown>"
}
}{
"error": "<string>"
}Executions
Abort a running or pending execution
Signals the worker to stop the execution between steps and marks it cancelled. Idempotent-ish: already-terminal executions return 409.
POST
/
executions
/
{executionId}
/
abort
JavaScript
import Mobilerun from '@mobilerun/sdk';
const client = new Mobilerun({
apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
});
const response = await client.workflows.executions.abort('182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e');
console.log(response.data);import os
from mobilerun_sdk import Mobilerun
client = Mobilerun(
api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"), # This is the default and can be omitted
)
response = client.workflows.executions.abort(
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)
print(response.data)Was this page helpful?
⌘I